查询虚拟账户申请列表

GET
/openapi/v1/wallet/virtual-account-requests

分页查询 MSO 的所有虚拟账户申请记录。

鉴权

bearerAuth
header鉴权Bearer <令牌>

通过 POST /oauth2/token 获取的 access_token。请求头格式为 Authorization: Bearer {accessToken}。

查询参数

requestNo?string

申请单号(精确匹配)。长度 32

status?string

申请状态

可选值"PENDING""EMAIL_SENT""SUCCESS""FAILED""CANCELLED"
virtualAccountNo?string

虚拟账户号(精确匹配)。长度 32

accountName?string

账户持有人名称(模糊搜索)。长度 128

pageNum?integer

当前页码,默认 1

范围1 <= value
默认值1
pageSize?integer

每页记录数,默认 10,最大 1000

范围1 <= value <= 1000
默认值10

Header 参数

X-Channel-Provider?string

渠道提供商标识,如 GLDB。不传时默认 GLDB

默认值"GLDB"

响应体

分页返回申请记录。

application/json
  1. response
code?integer

业务状态码

message?string
traceId?string

请求追踪 ID。联系技术支持时请提供

data?
请求示例
curl -X GET 'https://api.test.stabofx.com/openapi/v1/wallet/virtual-account-requests'
响应示例
{  "code": 200,  "message": "OK",  "traceId": "6a3ae549-32dd-469a-a6b8-4e213c070930",  "data": {    "total": 45,    "size": 1,    "current": 2,    "pages": 45,    "records": [      {        "requestNo": "SA0000000001",        "status": "SUCCESS",        "accountName": "Example Trading Pte Ltd",        "virtualAccountNo": "1000000001",        "currency": "SGD",        "contactName": "Example Contact",        "contactEmail": "contact@example.com",        "contactPhone": "+6500000000",        "createdAt": "2025-12-01T15:30:45",        "updatedAt": "2025-12-02T10:15:20"      }    ]  }}